openingBook.h File Reference
`#include "osl/book/compactBoard.h"`
`#include "osl/basic_type.h"`
`#include "osl/numEffectState.h"`
`#include <fstream>`
`#include <functional>`

Go to the source code of this file.

## Classes

class | osl::book::OMove
struct | osl::book::OBMove
class | osl::book::WinCountBook
| StateとOBMoveを保持する. More...
struct | osl::book::WMove
struct | osl::book::WMoveSort
| WMoveのWeightによるsort. More...
struct | osl::book::WMoveMoveSort
| WMoveのMoveによるsort. More...
struct | osl::book::WMoveWeightMoveSort
| WMoveのWeightとMoveによるsort. More...
class | osl::book::WeightedBook
| StateとWMoveを保持する. More...
class | osl::CompactBoard
| SimpleStateよりcompactな局面の表現 More...
class | osl::WeightedBook
| StateとWMoveを保持する. More...

## Namespaces

namespace | osl
namespace | osl::book

## Functions

std::ostream & | osl::book::operator<< (std::ostream &, const WMove &w)
std::istream & | osl::book::operator>> (std::istream &, WMove &w)
bool | osl::book::operator== (const WMove &l, const WMove &r)